@font-face {
    font-family: 'Roboto Mono';
    src: url('/assets/fonts/RobotoMono-VariableFont_wght.ttf') format('truetype');
    font-weight: 100 700;
    font-style: normal;
}

@font-face {
    font-family: 'Roboto Mono';
    src: url('/assets/fonts/RobotoMono-Italic-VariableFont_wght.ttf') format('truetype');
    font-weight: 100 700;
    font-style: italic;
}

:root {
    --topbar-height: 60px;
    --sidebar-width: 220px;
}

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    min-height: 100vh;
    font-family: 'Roboto Mono', monospace;
    color: #f0f0f0;
}

.main {
    position: fixed;
    top: var(--topbar-height);
    right: var(--sidebar-width);
    bottom: 0;
    left: 0;
    background-color: #313131;
    overflow: hidden;
}

.main .tab-content, .main .tab-content .tab-page {
    width: 100%;
    height: 100%;
    padding: 20px;
    overflow-y: auto;
    box-sizing: border-box;
}